Skip to main content
Register a cluster and issue initial agent key
curl --request POST \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters \
  --header 'Content-Type: application/json' \
  --cookie acornops_cp_session= \
  --data '
{
  "name": "payments-prod-eks",
  "namespaceInclude": [
    "payments",
    "shared"
  ],
  "namespaceExclude": [
    "sandbox"
  ]
}
'
{
  "cluster": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "<string>",
    "connectionStatus": "<string>",
    "latestSnapshot": {
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z"
    },
    "summary": {},
    "permissions": {},
    "namespaceInclude": [
      "<string>"
    ],
    "namespaceExclude": [
      "<string>"
    ],
    "writeConfirmationPolicy": {}
  },
  "agentKey": "<string>",
  "installInstructions": {
    "command": "<string>",
    "environment": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

Body

application/json
name
string
required
Example:

"payments-prod-eks"

namespaceInclude
string[]
Example:
["payments", "shared"]
namespaceExclude
string[]
Example:
["sandbox"]

Response

Cluster registration created with agent install instructions.

cluster
object
required
agentKey
string
required
installInstructions
object
required